export declare const useFeedMenuButtons: (feedID?: string) => {
    isLoading: boolean;
    isRefetching: boolean;
    hasMore: any;
    refetching: boolean;
    client: import("@apollo/client").ApolloClient<any>;
    observable: import("@apollo/client").ObservableQuery<import("../../../common").MenuButtonsQuery, import("../../../common").Exact<{
        filter: import("../../../common").MenuButtonFilter;
        paging?: import("../../../common").CursorPaging;
        sorting?: import("../../../common").MenuButtonSort | import("../../../common").MenuButtonSort[];
    }>>;
    data: import("../../../common").MenuButtonsQuery;
    previousData?: import("../../../common").MenuButtonsQuery;
    error?: import("@apollo/client").ApolloError;
    errors?: readonly import("graphql").GraphQLFormattedError[];
    loading: boolean;
    networkStatus: import("@apollo/client").NetworkStatus;
    called: boolean;
    startPolling: (pollInterval: number) => void;
    stopPolling: () => void;
    subscribeToMore: <TSubscriptionData = import("../../../common").MenuButtonsQuery, TSubscriptionVariables extends import("@apollo/client").OperationVariables = import("../../../common").Exact<{
        filter: import("../../../common").MenuButtonFilter;
        paging?: import("../../../common").CursorPaging;
        sorting?: import("../../../common").MenuButtonSort | import("../../../common").MenuButtonSort[];
    }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../../../common").MenuButtonsQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
    updateQuery: <TVars extends import("@apollo/client").OperationVariables = import("../../../common").Exact<{
        filter: import("../../../common").MenuButtonFilter;
        paging?: import("../../../common").CursorPaging;
        sorting?: import("../../../common").MenuButtonSort | import("../../../common").MenuButtonSort[];
    }>>(mapFn: (previousQueryResult: import("../../../common").MenuButtonsQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../../../common").MenuButtonsQuery>, "variables">) => import("../../../common").MenuButtonsQuery) => void;
    refetch: (variables?: Partial<import("../../../common").Exact<{
        filter: import("../../../common").MenuButtonFilter;
        paging?: import("../../../common").CursorPaging;
        sorting?: import("../../../common").MenuButtonSort | import("../../../common").MenuButtonSort[];
    }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../../../common").MenuButtonsQuery>>;
    reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../../../common").Exact<{
        filter: import("../../../common").MenuButtonFilter;
        paging?: import("../../../common").CursorPaging;
        sorting?: import("../../../common").MenuButtonSort | import("../../../common").MenuButtonSort[];
    }>, import("../../../common").MenuButtonsQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../../../common").MenuButtonsQuery>>;
    variables: import("../../../common").Exact<{
        filter: import("../../../common").MenuButtonFilter;
        paging?: import("../../../common").CursorPaging;
        sorting?: import("../../../common").MenuButtonSort | import("../../../common").MenuButtonSort[];
    }>;
    fetchMore: <TFetchData = import("../../../common").MenuButtonsQuery, TFetchVars extends import("@apollo/client").OperationVariables = import("../../../common").Exact<{
        filter: import("../../../common").MenuButtonFilter;
        paging?: import("../../../common").CursorPaging;
        sorting?: import("../../../common").MenuButtonSort | import("../../../common").MenuButtonSort[];
    }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
        updateQuery?: (previousQueryResult: import("../../../common").MenuButtonsQuery, options: {
            fetchMoreResult: TFetchData;
            variables: TFetchVars;
        }) => import("../../../common").MenuButtonsQuery;
    }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
};
